CoefBigTermRecorder Class Reference

`#include <CoefBigTermRecorder.h>`

Inheritance diagram for CoefBigTermRecorder:

## Public Member Functions

| CoefBigTermRecorder (BigPolynomial *recordInto)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)
virtual void | doneConsuming ()
Public Member Functions inherited from CoefBigTermConsumer
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | consume (const BigPolynomial &poly)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

BigPolynomial * | _recordInto

## Detailed Description

Definition at line 26 of file CoefBigTermRecorder.h.

## Constructor & Destructor Documentation

## CoefBigTermRecorder()

CoefBigTermRecorder::CoefBigTermRecorder | ( | BigPolynomial * | recordInto | ) |

Definition at line 22 of file CoefBigTermRecorder.cpp.

## Member Function Documentation

## beginConsuming()

void CoefBigTermRecorder::beginConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 31 of file CoefBigTermRecorder.cpp.

## consume() [1/2]

void CoefBigTermRecorder::consume | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

virtual

Implements CoefBigTermConsumer.

Definition at line 34 of file CoefBigTermRecorder.cpp.

## consume() [2/2]

void CoefBigTermRecorder::consume | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term )

virtual

Implements CoefBigTermConsumer.

Definition at line 40 of file CoefBigTermRecorder.cpp.

## consumeRing()

void CoefBigTermRecorder::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 27 of file CoefBigTermRecorder.cpp.

## doneConsuming()

void CoefBigTermRecorder::doneConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 45 of file CoefBigTermRecorder.cpp.

## Member Data Documentation

## _recordInto

BigPolynomial* CoefBigTermRecorder::_recordInto

private

Definition at line 44 of file CoefBigTermRecorder.h.

The documentation for this class was generated from the following files:

- src/CoefBigTermRecorder.h
- src/CoefBigTermRecorder.cpp